Sql Resources - Retrieve Continuous Backup Information
Haalt continue back-upgegevens op voor een containerresource.
POST https://management.azure.com/subscriptions/{subscriptionId}/resourceGroups/{resourceGroupName}/providers/Microsoft.DocumentDB/databaseAccounts/{accountName}/sqlDatabases/{databaseName}/containers/{containerName}/retrieveContinuousBackupInformation?api-version=2026-03-15
URI-parameters
| Name | In | Vereist | Type | Description |
|---|---|---|---|---|
|
account
|
path | True |
string minLength: 3maxLength: 50 pattern: ^[a-z0-9]+(-[a-z0-9]+)* |
Accountnaam van de Cosmos DB-database. |
|
container
|
path | True |
string |
Cosmos DB containernaam. |
|
database
|
path | True |
string |
Cosmos DB-databasenaam. |
|
resource
|
path | True |
string minLength: 1maxLength: 90 |
De naam van de resource group. De naam is hoofdletterongevoelig. |
|
subscription
|
path | True |
string (uuid) |
De ID van het doelabonnement. De waarde moet een UUID zijn. |
|
api-version
|
query | True |
string minLength: 1 |
De API-versie die voor deze bewerking moet worden gebruikt. |
Aanvraagbody
| Name | Type | Description |
|---|---|---|
| location |
string |
De naam van de locatie voor het herstellen van continue back-ups. |
Antwoorden
| Name | Type | Description |
|---|---|---|
| 200 OK |
Azure-operatie succesvol voltooid. |
|
| 202 Accepted |
Resourcebewerking geaccepteerd. Kopteksten
|
|
| Other Status Codes |
Een onverwachte foutreactie. |
Beveiliging
azure_auth
OAuth2-stroom voor Azure Active Directory.
Type:
oauth2
Stroom:
implicit
Autorisatie-URL:
https://login.microsoftonline.com/common/oauth2/authorize
Bereiken
| Name | Description |
|---|---|
| user_impersonation | Uw gebruikersaccount imiteren |
Voorbeelden
CosmosDBSqlContainerBackupInformation
Voorbeeldaanvraag
POST https://management.azure.com/subscriptions/00000000-1111-2222-3333-444444444444/resourceGroups/rgName/providers/Microsoft.DocumentDB/databaseAccounts/ddb1/sqlDatabases/databaseName/containers/containerName/retrieveContinuousBackupInformation?api-version=2026-03-15
{
"location": "North Europe"
}
Voorbeeldrespons
{
"continuousBackupInformation": {
"latestRestorableTimestamp": "2021-02-05T02:40:50Z"
}
}
Location: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2026-03-15
Azure-AsyncOperation: https://centraluseuap.management.azure.com/subscriptions/d1eb41bc-1b7f-4404-bd2a-8568c222852d/providers/Microsoft.DocumentDB/locations/centraluseuap/operationsStatus/fdd04b7b-86d5-460f-b19e-386230348bcc?api-version=2026-03-15
Definities
| Name | Description |
|---|---|
|
Backup |
Back-upgegevens van een resource. |
|
Cloud |
Een foutreactie van de service. |
|
Continuous |
Informatie over de status van continue back-ups. |
|
Continuous |
Eigenschappen van het regionale restorable account. |
|
Error |
Reactie op fout. |
BackupInformation
Back-upgegevens van een resource.
| Name | Type | Description |
|---|---|---|
| continuousBackupInformation |
Informatie over de status van continue back-ups. |
CloudError
Een foutreactie van de service.
| Name | Type | Description |
|---|---|---|
| error |
Reactie op fout. |
ContinuousBackupInformation
Informatie over de status van continue back-ups.
| Name | Type | Description |
|---|---|---|
| latestRestorableTimestamp |
string |
Het meest recente herstelbare tijdstempel voor een resource. |
ContinuousBackupRestoreLocation
Eigenschappen van het regionale restorable account.
| Name | Type | Description |
|---|---|---|
| location |
string |
De naam van de locatie voor het herstellen van continue back-ups. |
ErrorResponse
Reactie op fout.
| Name | Type | Description |
|---|---|---|
| code |
string |
Foutcode. |
| message |
string |
Foutbericht dat aangeeft waarom de bewerking is mislukt. |